/* $Id: EditAction.java 268 2011-07-19 10:00:29Z shayashi $ */
package smart_gs.image_search.normal.swingui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.image_search.logical.GSQuery;

public class EditAction implements ActionListener {
	
	private GSQuery query;
	private BucketPanel panel;
	public EditAction(BucketPanel panel,GSQuery query) {
		this.query = query;
		this.panel = panel;
	}

	public void actionPerformed(ActionEvent e) {
		new SelectedResultViewer(this.query).setVisible(true);
		this.panel.updateGUI();
	}

}
